Arch: Verifică dacă obiectele sunt non-solide

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Check and the translation is 25% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Arch MergeWalls.svg Merge Walls Anteriorul:
Urmeaza: Ifc Explorer Arch IfcExplorer.png Arrow-right.svg

Arch Check.svg {{{Name/ro}}}

poziția meniului
Arch → Utilities → Check
Workbenches
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch CloseHoles


Descriere

Acest instrument verifică documentul curent sau obiectele selectate pentru obiecte non-solide Part sau Arch care ar putea crea probleme, deoarece cele mai multe operații ale modulului Arch necesită obiecte solide.

Cum se folosește

  1. Apăsați Arch Check.png Check entry in Arch → Utilities menu

Scrip-Programare

Acest instrument poate fi utilizat în macros și din consola Python utilizând următoarea funcție:

list_bad = check(objectslist, includehidden=False)

verifică dacă obiectele date conțin numai solide

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute()

Circle = Draft.makeCircle(450)
Wire = Draft.makeWire([FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(1500, 1000, 0), FreeCAD.Vector(2500, -1000, 0)])

list_bad = Arch.check([Wall1, Wall2, Circle, Wire], includehidden=True)
print(list_bad)
Arrow-left.svg Arch MergeWalls.svg Merge Walls Anteriorul:
Urmeaza: Ifc Explorer Arch IfcExplorer.png Arrow-right.svg